<div class="page-header">
  <h3>
    {{ 'register.title' | translate }}
  </h3>
</div>

<div class="page-content">
  <form role="form" (submit)="register()" [formGroup]="simpleForm" class="medium-size-form">
    <div class="form-group">
      <label for="username">{{ 'register.user' | translate }}:</label>
      <input type="text" id="username" formControlName="username" class="form-control" [ngClass]="{ 'is-invalid': submitted && form.username.errors }"/>
      <div *ngIf="submitted && form.username.errors" class="form-error">
        <div *ngIf="form.username.errors.required">{{ 'validation.required' | translate }}</div>
      </div>
    </div>
    <div class="form-group">
      <label for="password">{{ 'register.password' | translate }}:</label>
      <input type="password" id="password" formControlName="password" class="form-control" [ngClass]="{ 'is-invalid': submitted && form.password.errors }"/>
      <div *ngIf="submitted && form.password.errors" class="form-error">
        <div *ngIf="form.password.errors.required">{{ 'validation.required' | translate }}</div>
        <div *ngIf="form.password.errors.minlength">{{ 'validation.minlength' | translate }}</div>
      </div>
    </div>
    <div class="form-group">
      <label for="confirmPassword">{{ 'register.confirmPassword' | translate }}:</label>
      <input type="password" id="confirmPassword" formControlName="confirmPassword" class="form-control" [ngClass]="{ 'is-invalid': submitted && form.confirmPassword.errors }"/>
      <div *ngIf="submitted && form.confirmPassword.errors" class="form-error">
        <div *ngIf="form.confirmPassword.errors.required">{{ 'validation.required' | translate }}</div>
        <div *ngIf="form.confirmPassword.errors.mustMatch">{{ 'validation.mustMatch' | translate }}</div>
      </div>
    </div>
    <button type="submit" [disabled]="successMsg" class="btn btn-primary">{{ 'register.submitButton' | translate }}</button>
  </form>

  <div class="margin-top-s">
    <msg-box [msg]="error" [type]="'error'" [title]="'msgBox.errorTitle'">></msg-box>
    <msg-box [msg]="successMsg" [title]="'msgBox.successTitle'"></msg-box>
  </div>

  <div [hidden]="!successMsg" class="go-back margin-top-s">
    <a routerLink="/login">{{ 'register.gotoLoginButton' | translate }}</a>
  </div>

</div>
